Summary: Rotates, compresses, removes and mails system log files.
Name: logrotate
Version: 3.5.2
Release: 1.0.17
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.redhat.com/pub/redhat/code/logrotate/logrotate-%{PACKAGE_VERSION}.tar.gz
Source1: logrotate-example-3.5.2.tar.gz
Source2: logrotate-cron
BuildRoot: /var/tmp/logrotate.root
Requires: crontabs, vixie-cron

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -a 1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MANDIR=%{_mandir}

%install
make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.d 

install -m644 examples/logrotate-default $RPM_BUILD_ROOT/etc/logrotate.conf
install -m755 examples/cron $RPM_BUILD_ROOT/etc/logrotate.d/cron
install -m755 examples/ftpd $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m755 examples/syslog-ng $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng
install -m640 $RPM_SOURCE_DIR/logrotate-cron $RPM_BUILD_ROOT/etc/cron.d/logrotate

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0750, root, root) /usr/sbin/logrotate
%attr(0644, root, root) %doc %{_mandir}/man8/logrotate.8*
%attr(0640, root, admin) %config /etc/logrotate.conf
%attr(0750, root, admin) %dir /etc/logrotate.d
%attr(0640, root, root) %config /etc/cron.d/logrotate

%changelog
* Mon Mar 19 2001 Nick DeClario <nick@guardiandigital.com>
- Added vixie-cron requirement
- removed automatic restarting of crond

* Wed Mar 07 2001 Pete O'Hara <pete@guardiandigital.com>
- sent output of cron script to 2>&1 /dev/null

* Thu Mar 01 2001 Pete O'Hara <pete@guardiandigital.com>
- added command success test to /etc/cron.d/logrotate 

* Mon Feb 26 2001 Pete O'Hara <pete@guardiandigital.com>
- added Requires: crontabs
- removed -f test for /usr/bin/swatch from /etc/cron.d/logrotate 

* Thu Jan 18 2001 Nick DeClario <nick@guardiandigital.com>
- Moved cron entry to cron.d in logrotate
- Changed wtmp to rotate monthly
- Removed entries for logs no longer in use
- Added swatch to cron.d

* Wed Jan 17 2001 Nick DeClario <nick@guardiandigital.com>
- Upgraded to version 3.5.2

* Wed Dec 20 2000 Pete O'Hara <pete@guardiandigital.com>
- patched /etc/logrotate.conf to create /var/log/wtmp
	with 660 perms

* Mon Dec 11 2000 Pete O'Hara <pete@guardiandigital.com>
- added Prereq /etc/crontab

* Mon Dec 11 2000 Pete O'Hara <pete@guardiandigital.com>
- fix creation of logrotate crontab entry 
- added a %postun to remove logrotate entry from crontab
- added crontabs as a requirement

* Fri Dec 01 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed post install script '/etc/init.d/crond restart'

* Wed Nov 29 2000 Dave Wreski <dave@guardiandigital.com>
- removed uucp logrotate file

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes

* Wed Nov 01 2000 Nick DeClario <nick@guardiandigital.com>
- Changed the cron daemon to run logrotate at 12:15am daily

* Tue Jun 27 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod no world access to /etc/logrotate.conf, logrotate.d
	/etc/cron.daily/logrotate
- initial version from RH6
